CompileTaskSupport (Groovy 2.4.15)
Date: 2018-03-23

org.codehaus.groovy.ant

## Class CompileTaskSupport

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.tools.ant.taskdefs.MatchingTask
      - - org.codehaus.groovy.ant.CompileTaskSupport

- All Implemented Interfaces:
    java.lang.Cloneable, org.apache.tools.ant.types.selectors.SelectorContainer
  Direct Known Subclasses:
    GenerateStubsTask, GroovycTask

      public abstract class CompileTaskSupport
      extends org.apache.tools.ant.taskdefs.MatchingTask

  Support for compilation related tasks.
  Author:
    Jason Dillon

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.apache.tools.ant.types.Path` | `classpath`
    `protected CompilerConfiguration` | `config`
    `protected java.io.File` | `destdir`
    `protected boolean` | `failOnError`
    `protected LoggingHelper` | `log`
    `protected org.apache.tools.ant.types.Path` | `src`

    - ### Fields inherited from class org.apache.tools.ant.taskdefs.MatchingTask

      `fileset`

    - ### Fields inherited from class org.apache.tools.ant.Task

      `target, taskName, taskType, wrapper`

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompileTaskSupport()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract void` | `compile()`
    `protected GroovyClassLoader` | `createClassLoader()`
    `org.apache.tools.ant.types.Path` | `createClasspath()`
    `CompilerConfiguration` | `createConfiguration()`
    `org.apache.tools.ant.types.Path` | `createSrc()`
    `void` | `execute()`
    `org.apache.tools.ant.types.Path` | `getClasspath()`
    `boolean` | `getFailonerror()`
    `org.apache.tools.ant.types.Path` | `getSrcdir()`
    `protected void` | `handleException(java.lang.Exception e)`
    `void` | `setClasspath(org.apache.tools.ant.types.Path path)`
    `void` | `setClasspathRef(org.apache.tools.ant.types.Reference r)`
    `void` | `setDestdir(java.io.File dir)`
    `void` | `setFailonerror(boolean fail)`
    `void` | `setSrcdir(org.apache.tools.ant.types.Path dir)`
    `protected void` | `validate()`

    - ### Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask

      `add, addAnd, addContains, addContainsRegexp, addCustom, addDate, addDepend, addDepth, addDifferent, addFilename, addMajority, addModified, addNone, addNot, addOr, addPresent, addSelector, addSize, addType, appendSelector, createExclude, createExcludesFile, createInclude, createIncludesFile, createPatternSet, getDirectoryScanner, getImplicitFileSet, getSelectors, hasSelectors, selectorCount, selectorElements, setCaseSensitive, setDefaultexcludes, setExcludes, setExcludesfile, setFollowSymlinks, setIncludes, setIncludesfile, setProject, XsetIgnore, XsetItems`

    - ### Methods inherited from class org.apache.tools.ant.Task

      `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, setDescription, setLocation`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          protected final LoggingHelper log

    - #### src

          protected org.apache.tools.ant.types.Path src

    - #### destdir

          protected java.io.File destdir

    - #### classpath

          protected org.apache.tools.ant.types.Path classpath

    - #### config

          protected CompilerConfiguration config

    - #### failOnError

          protected boolean failOnError

  - ### Constructor Detail

    - #### CompileTaskSupport

          public CompileTaskSupport()

  - ### Method Detail

    - #### setFailonerror

          public void setFailonerror(boolean fail)

    - #### getFailonerror

          public boolean getFailonerror()

    - #### createSrc

          public org.apache.tools.ant.types.Path createSrc()

    - #### setSrcdir

          public void setSrcdir(org.apache.tools.ant.types.Path dir)

    - #### getSrcdir

          public org.apache.tools.ant.types.Path getSrcdir()

    - #### setDestdir

          public void setDestdir(java.io.File dir)

    - #### setClasspath

          public void setClasspath(org.apache.tools.ant.types.Path path)

    - #### getClasspath

          public org.apache.tools.ant.types.Path getClasspath()

    - #### createClasspath

          public org.apache.tools.ant.types.Path createClasspath()

    - #### setClasspathRef

          public void setClasspathRef(org.apache.tools.ant.types.Reference r)

    - #### createConfiguration

          public CompilerConfiguration createConfiguration()

    - #### validate

          protected void validate()
                           throws org.apache.tools.ant.BuildException

      Throws:
        `org.apache.tools.ant.BuildException`

    - #### createClassLoader

          protected GroovyClassLoader createClassLoader()

    - #### handleException

          protected void handleException(java.lang.Exception e)
                                  throws org.apache.tools.ant.BuildException

      Throws:
        `org.apache.tools.ant.BuildException`

    - #### execute

          public void execute()
                       throws org.apache.tools.ant.BuildException

      Overrides:
        `execute` in class `org.apache.tools.ant.Task`
      Throws:
        `org.apache.tools.ant.BuildException`

    - #### compile

          protected abstract void compile()
                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`